#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Thu Sep 17 10:19:51 2020

@author: a.rb
"""

#CONSTRUCTEUR
def pilevide():
    """
    return une pile vide
    """
    return []
    

# OPERATEURS
def empiler(element,pile):
    """
    empiler(élément,pile)
    empile un élément sur la pile. Ne renvoie rien, la pile est modifiée
    """
    pile.append(element)
    
def depiler(pile):
    """
    Parameters
    ----------
    pile : une pile

    Returns
    -------
    premier élément de la pile (celui sur le dessus)
    modifie la pile en supprimant cet élément
    """
    if len(pile)==0:
        raise ValueError("on ne peut pas dépiler une pile vide") # pour retourner une erreur si l'on dépile une pile vide
    return pile.pop()
    
def sommet(pile):
    """
    Parameters
    ----------
    pile : une pile

    Returns
    -------
    premier élément de la pile (ne modifie pas la pile)

    """
    if len(pile)==0:
        raise ValueError("une pile vide n'a pas de sommet")
    return pile[-1]
    
def estvide(pile):
    """
    return True si la pile est vide False sinon
    """
    return len(pile)==0
