#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
@author: arb / llb 23-24
"""

import piles as P
import pygame

adresse_courante = ""
adresses_precedentes = P.pilevide()
adresses_suivantes = P.pilevide()

def aller_a(adresse_cible):
    global adresse_courante
    if adresse_courante != '':
        P.empiler(adresse_courante, adresses_precedentes)
    adresse_courante = adresse_cible

##############################################
# Les fonctions retour et avance à compléter #
##############################################
    
def retour():
    global adresse_courante
    
    


def avance() :
    global adresse_courante

    
    



##############################################
#     Implémentation de la fenêtre pygame    #
# Le code est opérationnel, ne pas y toucher #
##############################################

pygame.init()
ecran = pygame.display.set_mode((900, 600))
pygame.display.set_caption("Modélisation d'un navigateur")

white = (255, 255, 255)
gris = (150, 150, 150)
rouge = (255, 0, 0) 
bleu = (0, 0, 255)
black = (0, 0, 0)

font = pygame.font.Font('freesansbold.ttf', 32)
font2 = pygame.font.Font('freesansbold.ttf', 50)

ecran.fill(white)

#chargement des images et des surfaces
boutonRetour = pygame.image.load("fichiers/bouton-retour.png").convert()
boutonAvance = pygame.image.load("fichiers/bouton-avance.png").convert()

boutonRetour = pygame.transform.scale(boutonRetour, (50, 50))
boutonAvance = pygame.transform.scale(boutonAvance, (50, 50))
rectangleRetour = pygame.Rect(10, 10, 50, 50)
rectangleAvance = pygame.Rect(840, 10, 50, 50)

ecran.blit(boutonRetour, (10, 10))
ecran.blit(boutonAvance, (840, 10))

icone = pygame.image.load("fichiers/mozaic.jpg").convert()
pygame.display.set_icon(icone)

#la zone url
texturl = font.render('URL :', True, gris)

pygame.draw.rect(ecran, gris, pygame.Rect(100, 10, 700, 50),  2)
ecran.blit(texturl, (110, 20))

input_rect = pygame.Rect(200, 10, 500, 50)
user_text = ''

#la zone page
textPageVisitee = font2.render("page affichée :", True, bleu)
ecran.blit(textPageVisitee, (250, 140))
pygame.draw.rect(ecran, black, pygame.Rect(10, 100, 880, 400),  1)
#La boucle principale de l'app
continuer = True
active = False #active la zone de saisie de l'url

while continuer :
    
    for event in pygame.event.get() :
        if event.type == pygame.QUIT:
           continuer = False #pour quitter la boucle principale
        
        if event.type == pygame.MOUSEBUTTONDOWN:
            if input_rect.collidepoint(event.pos): #zone url cliquée
                active = True              
            else:
                active = False 
                
            if rectangleRetour.collidepoint(event.pos): # bouton retour cliqué
                retour()
                user_text = adresse_courante
                
            if rectangleAvance.collidepoint(event.pos): # bouton avance cliqué
                avance()
                user_text = adresse_courante
                
        if event.type == pygame.KEYDOWN and active:
           # test la touche espace
           if event.key == pygame.K_BACKSPACE:
               # recupére le texte saisi dans la zone url
               user_text = user_text[:-1]
               
 
           elif event.key == pygame.K_RETURN: #touche entrée
               aller_a(user_text)
               active = False

           else:
               user_text += event.unicode
    
    #maj zone url
    if active :
        pygame.draw.rect(ecran, bleu, pygame.Rect(100, 10, 700, 50),  2)
    else :
        pygame.draw.rect(ecran, gris, pygame.Rect(100, 10, 700, 50),  2)
    pygame.draw.rect(ecran, white, pygame.Rect(200, 12, 500, 46), 0)
    textuserurl = font.render(user_text, True, gris)           
    ecran.blit(textuserurl, (200, 20))
    
    #maj zone page
    n = len(adresse_courante)
    if n!= 0 :
        couleur = (ord(adresse_courante[(n-1)//3]), ord(adresse_courante[((2*n)//3)-1]), ord(adresse_courante[n-1]))
    else :
        couleur = (255, 255, 255)
    couleurText = (abs(couleur[0]-255), abs(couleur[1]-255), abs(couleur[2]-255))
    if couleurText== couleur:
        couleurText = (0, 0, 0)
    pygame.draw.rect(ecran, couleur, pygame.Rect(10, 100, 880, 400),  0)
    ecran.blit(textPageVisitee, (250, 140))
    pygame.draw.rect(ecran, couleur, pygame.Rect(200, 200, 500, 46), 0)
    textpage = font2.render(adresse_courante, True, couleurText)
    ecran.blit(textpage, (50, 200))
    
    #maj fenêtre de l'app
    pygame.display.flip()

pygame.quit()